﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using OnSive.ImageLibrary.Data;

#nullable disable

namespace OnSive.ImageLibrary.Data.Migrations
{
    [DbContext(typeof(DataContext))]
    partial class DataContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "6.0.5");

            modelBuilder.Entity("OnSive.ImageLibrary.Models.FaceEntity", b =>
                {
                    b.Property<ulong>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<int>("Bottom")
                        .HasColumnType("INTEGER");

                    b.Property<ulong>("ImageId")
                        .HasColumnType("INTEGER");

                    b.Property<int>("Left")
                        .HasColumnType("INTEGER");

                    b.Property<ulong?>("PersonId")
                        .HasColumnType("INTEGER");

                    b.Property<int>("Right")
                        .HasColumnType("INTEGER");

                    b.Property<int>("Top")
                        .HasColumnType("INTEGER");

                    b.HasKey("Id");

                    b.HasIndex("ImageId");

                    b.HasIndex("PersonId");

                    b.ToTable("Faces");
                });

            modelBuilder.Entity("OnSive.ImageLibrary.Models.ImageEntity", b =>
                {
                    b.Property<ulong>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<bool>("HasNoFaces")
                        .HasColumnType("INTEGER");

                    b.Property<string>("MD5")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.HasKey("Id");

                    b.ToTable("Images");
                });

            modelBuilder.Entity("OnSive.ImageLibrary.Models.PersonEntity", b =>
                {
                    b.Property<ulong>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.HasKey("Id");

                    b.ToTable("Persons");
                });

            modelBuilder.Entity("OnSive.ImageLibrary.Models.FaceEntity", b =>
                {
                    b.HasOne("OnSive.ImageLibrary.Models.ImageEntity", "Image")
                        .WithMany("FacesInPicture")
                        .HasForeignKey("ImageId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("OnSive.ImageLibrary.Models.PersonEntity", "Person")
                        .WithMany("PicturesOfPerson")
                        .HasForeignKey("PersonId");

                    b.Navigation("Image");

                    b.Navigation("Person");
                });

            modelBuilder.Entity("OnSive.ImageLibrary.Models.ImageEntity", b =>
                {
                    b.Navigation("FacesInPicture");
                });

            modelBuilder.Entity("OnSive.ImageLibrary.Models.PersonEntity", b =>
                {
                    b.Navigation("PicturesOfPerson");
                });
#pragma warning restore 612, 618
        }
    }
}
